import { RGB8, RGBF, Lab, XYZ } from '../';
export declare class FromLab {
    /**
     * Converts Lab object to XYZ.
     * @param {Lab} lab
     * @returns {XYZ}
     */
    static toXYZ(lab: Lab): XYZ;
    /**
     * Converts Lab values to XYZ.
     * @param {number} l
     * @param {number} a
     * @param {number} b
     * @returns {XYZ}
     */
    static toXYZ(l: number, a: number, b: number): XYZ;
    /**
     * Converts Lab object to RGBF.
     * @param {Lab} lab
     * @returns {RGBF}
     */
    static toRGBF(lab: Lab): RGBF;
    /**
     * Converts Lab values to RGBF.
     * @param {number} l
     * @param {number} a
     * @param {number} b
     * @returns {RGBF}
     */
    static toRGBF(l: number, a: number, b: number): RGBF;
    /**
     * Converts Lab object to RGB8.
     * @param {Lab} lab
     * @returns {RGB8}
     */
    static toRGB8(lab: Lab): RGB8;
    /**
     * Converts Lab values to XYZ.
     * @param {number} l
     * @param {number} a
     * @param {number} b
     * @returns {RGB8}
     */
    static toRGB8(l: number, a: number, b: number): RGB8;
    private static resolveArguments(l, a?, b?);
}
