"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpers_1 = require("../util/helpers");
var xyz_refs_1 = require("../util/xyz-refs");
var xyz_1 = require("./xyz");
var FromLab = /** @class */ (function () {
    function FromLab() {
    }
    FromLab.toXYZ = function (l, a, b) {
        var args = FromLab.resolveArguments(l, a, b);
        var y = (args.l + 16) / 116;
        var x = args.a / 500 + y;
        var z = y - args.b / 200;
        x = helpers_1.XYZHelper.pivotFromLab(x);
        y = helpers_1.XYZHelper.pivotFromLab(y);
        z = helpers_1.XYZHelper.pivotFromLab(z);
        // We assume D65 at 2deg illuminant here which corresponds to sRGB.
        return {
            x: x * xyz_refs_1.XYZRefs.D65_2d.x,
            y: y * xyz_refs_1.XYZRefs.D65_2d.y,
            z: z * xyz_refs_1.XYZRefs.D65_2d.z
        };
    };
    FromLab.toRGBF = function (l, a, b) {
        return xyz_1.FromXYZ.toRGBF(FromLab.toXYZ(l, a, b));
    };
    FromLab.toRGB8 = function (l, a, b) {
        return xyz_1.FromXYZ.toRGB8(FromLab.toXYZ(l, a, b));
    };
    FromLab.resolveArguments = function (l, a, b) {
        var argumentType = typeof l;
        if (argumentType === 'object' && l !== null) {
            return { l: l.l, a: l.a, b: l.b };
        }
        if (argumentType === 'number') {
            return { l: l, a: a, b: b };
        }
        throw new TypeError('Unknown arguments passed');
    };
    return FromLab;
}());
exports.FromLab = FromLab;
