import { RGB8, RGBF, XYZ } from '../interfaces/color-models';
import { Lab } from '../';
export declare class FromXYZ {
    /**
     * Converts XYZ object to RGBF.
     * @param {XYZ} xyz
     * @returns {RGBF}
     */
    static toRGBF(xyz: XYZ): RGBF;
    /**
     * Converts XYZ values to RGBF.
     * @param {number} x
     * @param {number} y
     * @param {number} z
     * @returns {RGBF}
     */
    static toRGBF(x: number, y: number, z: number): RGBF;
    /**
     * Converts XYZ object to RGB8.
     * @param {XYZ} xyz
     * @returns {RGB8}
     */
    static toRGB8(xyz: XYZ): RGB8;
    /**
     * Converts XYZ values to RGB8.
     * @param {number} x
     * @param {number} y
     * @param {number} z
     * @returns {RGB8}
     */
    static toRGB8(x: number, y: number, z: number): RGB8;
    /**
     * Converts XYZ object to Lab.
     * @param {XYZ} xyz
     * @returns {Lab}
     */
    static toLab(xyz: XYZ): Lab;
    /**
     * Converts XYZ values to RGB8.
     * @param {number} x
     * @param {number} y
     * @param {number} z
     * @returns {Lab}
     */
    static toLab(x: number, y: number, z: number): Lab;
    private static rebase(xyz, illuminant);
    private static resolveArguments(x, y?, z?);
}
